package com.gic.haoban.manage.api.service;

import com.gic.haoban.manage.api.dto.CommonMQDTO;

import java.util.List;

/**
 * 
* @ClassName: HaobanCommonMQApiService
* @Description: 好办通用MQ
* @author xugh
* @date 2022年7月25日 下午2:27:06
*
 */
public interface HaobanCommonMQApiService {

    public void putCommonMessage(CommonMQDTO dto);
    
    public void putCommonDelayMessage(CommonMQDTO dto , int delay);

    public void commonHandler(String message);
    
    public void welcomeMQ(String params) ;

    public void putToNoticeMemberMQ(String enterpriseId, List<String> memberIdList) ;

    public void noticeMemberMQ(String params) ;

    // 会员换绑
    public void memberEventChange(String params) ;
    // 会员合并
    public void memberEventMerge(String params) ;
    // 会员注销
    public void memberEventDel(String params) ;
    // 会员扫码关注
    public void memberEventWechat(String params) ;

}
